ECHO OFF
REM This batch program patches a single byte of the specified file.

ECHO 

REM Assign variables:
set $o$=ORIGINAL.BAK
set $s$=$script$

IF "%1"=="" GOTO Error1
IF "%2"=="" GOTO Error1
IF "%3"=="" GOTO Error1
IF NOT EXIST %1 GOTO Error2

ECHO The file "%1" will be patched. The original
ECHO file will be saved as %$O$%
ECHO 
PAUSE

COPY %1 %$O$%
ECHO e %2> %$S$%
ECHO %3>> %$S$%
ECHO w>> %$S$%
ECHO q>> %$S$%
debug %1 < %$S$%
del %$S$%
GOTO Done

:Error1
ECHO This batch program patches a single byte of a file. The DOS DEBUG
ECHO program is used and must exist somewhere on the current path.
ECHO 
ECHO Syntax is:
ECHO 
ECHO   PATCH file address byte
ECHO 
ECHO   file = name of file to patch
ECHO   address = hexidecimal address (plus 100H) within file
ECHO   byte = hexidecimal byte to store at address
GOTO Done

:Error2
ECHO The file to be patched doesn't exist.  Run PATCH without
ECHO command line arguments to display a brief help screen.

:Done
REM Delete variables
set $O$=
set $S$=
ECHO 
